'use strict';

var CostCenterListCtrl = ['$scope', 'cost_centers', function ($scope, cost_centers) {
    $scope.info = cost_centers;
}];

CostCenterListCtrl.resolve = {
    cost_centers: ['CostCenter', function (CostCenter) {
        return CostCenter.query({}).$promise;
    }]
};

var CostCenterCtrl = ['$scope', '$routeParams', '$location', 'cost_center', function ($scope, $routeParams, $location, cost_center) {
    $scope.cost_center = cost_center;

    $scope.save = function () {
        $scope.cost_center.$save(function (u, putResponseHeaders) {
            $scope.toasts.push({Type: 'Success', Message: ''});
            $location.path('/CostCenters')
        }, function (data, status) {
            $scope.toasts.push({Type: 'Danger', Message: data.data});
        });
    };

    $scope.delete = function () {
        $scope.cost_center.$delete(function (u, putResponseHeaders) {
            $scope.toasts.push({Type: 'Success', Message: ''});
            $location.path('/CostCenters')
        }, function (data, status) {
            $scope.toasts.push({Type: 'Danger', Message: data.data});
        });
    };
    $('#txtName').focus();
}];

CostCenterCtrl.resolve = {
    cost_center: ['$route', 'CostCenter', function ($route, CostCenter) {
        var id = $route.current.params.id;

        return CostCenter.get({id: id}).$promise;
    }]
};
